Bug 203150 - math/py-matplotlib: Add Qt4Agg backend option, fix stripping in post-install
Summary: math/py-matplotlib: Add Qt4Agg backend option, fix stripping in post-install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-09-16 07:47 UTC by Matthieu Volat
Modified: 2015-10-29 14:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mainland)


Attachments
Add QT4AGGBACKEND option, use find to strip shared libraries (3.39 KB, patch)
2015-09-16 07:47 UTC, Matthieu Volat
no flags Details | Diff
Add QT4AGGBACKEND option, revised (2.28 KB, patch)
2015-10-11 11:32 UTC, Matthieu Volat
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2015-09-16 07:47:35 UTC
Created attachment 161108 [details]
Add QT4AGGBACKEND option, use find to strip shared libraries

Hello,

Hoping that it's not too much of a bother so soon after the previous report, this one will hopefully be easier now the Makefile was cleaned.

I'd like for the Qt4Agg backend to be optionally available (it's the recommended one by upstream after all).

I only added py-qt4-ui as dependency, which ~1 month of (obviously not exhaustive) usage showed no problem.

Qt5Agg backend would be desirable, but as there is (AFAIK) no py-qt5 port, that will have to wait.

The patch also convert library stripping to a find command, because build could fail with non-existent libraries with an explicit and complete list.

As plist-ing is automatic, I'm not sure that make check-plist has a sense, but for completeness' sake:
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

No runtime issues either after pkg autoremove'ing build dependencies.

Thank you for your time
Comment 1 mainland 2015-09-21 02:23:10 UTC
I approve the patch.

- Geoff
Comment 2 Matthieu Volat 2015-10-11 11:32:50 UTC
Created attachment 161906 [details]
Add QT4AGGBACKEND option, revised

Updating the patch since another and different fix was applied to resolve shared lib stripping.
Comment 3 mainland 2015-10-19 17:38:26 UTC
Looks good---I approve the patch.

Thanks!
Geoff
Comment 4 Matthieu Volat 2015-10-29 13:01:53 UTC
Hmmm, maybe I missed something, but I did not see any commit to the port?
Comment 5 commit-hook freebsd_committer 2015-10-29 13:47:46 UTC
A commit references this bug:

Author: mat
Date: Thu Oct 29 13:47:20 UTC 2015
New revision: 400457
URL: https://svnweb.freebsd.org/changeset/ports/400457

Log:
  Add Qt4Agg backend option.

  Simplify post-install stripping.

  PR:		203150
  Submitted by:	Matthieu Volat
  Approved by:	maintainer
  Sponsored by:	Absolight

Changes:
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/files/patch-setup.cfg
Comment 6 Mathieu Arnold freebsd_committer 2015-10-29 14:07:39 UTC
(In reply to Matthieu Volat from comment #4)
> Hmmm, maybe I missed something, but I did not see any commit to the port?

Some of us use Git on top of Subversion.  I close the PR when I commit the change in my git repo, and issue a git svn dcommit at the end of the day, so it can be a few hours, but it's there.
Comment 7 Matthieu Volat 2015-10-29 14:10:32 UTC
Ho, ok, I understand. Thank you very much!